qpid::framing::FixedWidthValue Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qpid::framing::FixedWidthValue Class Reference

`#include <qpid/framing/FieldValue.h>`

List of all members.

## Public Member Functions
| FixedWidthValue ()
| FixedWidthValue (const uint8_t(&data)[width])
| FixedWidthValue (const uint8_t *const data)
| FixedWidthValue (uint64_t v)
uint32_t | encodedSize () const
void | encode (Buffer &buffer)
void | decode (Buffer &buffer)
bool | operator== (const Data &d) const
bool | convertsToInt () const
int64_t | getInt () const
uint8_t * | rawOctets ()
uint8_t * | rawOctets () const
void | print (std::ostream &o) const
virtual bool | operator== (const Data &) const =0
virtual bool | convertsToString () const
virtual std::string | getString () const

## Constructor & Destructor Documentation

qpid::framing::FixedWidthValue::FixedWidthValue | ( |  | ) | `[inline]`

Definition at line 145 of file FieldValue.h.

qpid::framing::FixedWidthValue::FixedWidthValue | ( | const uint8_t(&) | data[width] | ) | `[inline]`

Definition at line 146 of file FieldValue.h.

qpid::framing::FixedWidthValue::FixedWidthValue | ( | const uint8_t *const | data | ) | `[inline]`

Definition at line 147 of file FieldValue.h.

qpid::framing::FixedWidthValue::FixedWidthValue | ( | uint64_t | v | ) | `[inline]`

Definition at line 151 of file FieldValue.h.

## Member Function Documentation

bool qpid::framing::FixedWidthValue::convertsToInt | ( |  | ) | const`[inline, virtual]`

Reimplemented from qpid::framing::FieldValue::Data.

Definition at line 167 of file FieldValue.h.

virtual bool qpid::framing::FieldValue::Data::convertsToString | ( |  | ) | const`[inline, virtual, inherited]`

Reimplemented in qpid::framing::VariableWidthValue.

Definition at line 76 of file FieldValue.h.

void qpid::framing::FixedWidthValue::decode | ( | Buffer & | buffer | ) | `[inline, virtual]`

Implements qpid::framing::FieldValue::Data.

Definition at line 160 of file FieldValue.h.

References qpid::framing::Buffer::getRawData().

void qpid::framing::FixedWidthValue::encode | ( | Buffer & | buffer | ) | `[inline, virtual]`

Implements qpid::framing::FieldValue::Data.

Definition at line 159 of file FieldValue.h.

References qpid::framing::Buffer::putRawData().

uint32_t qpid::framing::FixedWidthValue::encodedSize | ( |  | ) | const`[inline, virtual]`

Implements qpid::framing::FieldValue::Data.

Definition at line 158 of file FieldValue.h.

int64_t qpid::framing::FixedWidthValue::getInt | ( |  | ) | const`[inline, virtual]`

Reimplemented from qpid::framing::FieldValue::Data.

Definition at line 168 of file FieldValue.h.

virtual std::string qpid::framing::FieldValue::Data::getString | ( |  | ) | const`[inline, virtual, inherited]`

Reimplemented in qpid::framing::VariableWidthValue.

Definition at line 78 of file FieldValue.h.

virtual bool qpid::framing::FieldValue::Data::operator== | ( | const Data & |  | ) | const`[pure virtual, inherited]`

bool qpid::framing::FixedWidthValue::operator== | ( | const Data & | d | ) | const`[inline]`

Definition at line 161 of file FieldValue.h.

void qpid::framing::FixedWidthValue::print | ( | std::ostream & | o | ) | const`[inline, virtual]`

Implements qpid::framing::FieldValue::Data.

Definition at line 180 of file FieldValue.h.

uint8_t* qpid::framing::FixedWidthValue::rawOctets | ( |  | ) | `[inline]`

Definition at line 177 of file FieldValue.h.

uint8_t* qpid::framing::FixedWidthValue::rawOctets | ( |  | ) | const`[inline]`

Definition at line 178 of file FieldValue.h.

The documentation for this class was generated from the following file:

- qpid/framing/FieldValue.h